.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the PackedDataContainer.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_PackedDataContainer:

PackedDataContainer
===================

**Inherits:** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------+---------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`pack<class_PackedDataContainer_pack>` **(** :ref:`Variant<class_variant>` value **)** |
+------------------------+---------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`size<class_PackedDataContainer_size>` **(** **)** const                               |
+------------------------+---------------------------------------------------------------------------------------------+

Member Variables
----------------

  .. _class_PackedDataContainer___data__:

- :ref:`PoolByteArray<class_poolbytearray>` **__data__**


Member Function Description
---------------------------

.. _class_PackedDataContainer_pack:

- :ref:`int<class_int>` **pack** **(** :ref:`Variant<class_variant>` value **)**

.. _class_PackedDataContainer_size:

- :ref:`int<class_int>` **size** **(** **)** const


